/*
 * Copyright 2002-2023 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.beans.testfixture.beans.factory.generator.deprecation;

/**
 * A class with deprecated members for removal to test various use cases.
 *
 * @author Stephane Nicoll
 */
public class DeprecatedForRemovalMemberConfiguration {

	@Deprecated(forRemoval = true)
	public String deprecatedString() {
		return "deprecated";
	}

	@SuppressWarnings("removal")
	public String deprecatedParameter(DeprecatedForRemovalBean bean) {
		return bean.toString();
	}

}
